TICKIT_WATCH_CANCEL(3)

NAME
tickit_watch_cancel - remove a previously-installed callback

SYNOPSIS
    #include <tickit.h>

    void tickit_watch_cancel(Tickit *t, void *watch);

Link with -ltickit.

DESCRIPTION
tickit_watch_cancel() removes a callback previously registered, by the identifier pointer returned when it was added. If it had been added with the TICKIT_BIND_UNBIND flag then it will be invoked with the TICKIT_EV_UNBIND as it is removed.

RETURN VALUE
tickit_watch_cancel() returns no value.

SEE ALSO
tickit_new_stdio(3), tickit_watch_timer_after_msec(3), tickit_watch_timer_at_epoch(3), tickit_watch_later(3), tickit_watch_signal(3), tickit_watch_process(3), tickit(7)